FLM4UP-API FLAM4 Subprogram Interface

Functions
Functions

Functions provided by this interface. More...

## Functions
const char * | flamup_version (void)
| Version. More...
const char * | flamup_about (void)
| About. More...
const char * | flamup_license (void)
| Get license text. More...
void | flamup (void **flamid, long *rtc, char *param, long *paramLen)
| Runs the old FLAM command line (load module interface (COBOL, PL1)) More...
long | flamupc (const char *param)
| Runs the old FLAM command line (C like interface) More...

## Detailed Description

Functions provided by this interface.

## Function Documentation

## ◆ flamup_version()

const char * flamup_version | ( | void |  | ) |

Version.

This function returns a string with version information for each used component. This should be used in a support case.

Returns
  a pointer to a static area containing the zero-terminated version string

## ◆ flamup_about()

const char * flamup_about | ( | void |  | ) |

About.

This function returns a string with about information for this library on multiple lines and license information for used external libraries.

Returns
  a pointer to a static area containing the zero-terminated about string

## ◆ flamup_license()

const char * flamup_license | ( | void |  | ) |

Get license text.

This function can be used to get the current license text on multiple lines. The license text defines the permissible use of this library.

Returns
  a pointer to a static area with a zero-terminated string containing the current license text.

## ◆ flamup()

void flamup | ( | void ** | flamid,
|  | long * | rtc,
|  | char * | param,
|  | long * | paramLen
| ) |  |

Runs the old FLAM command line (load module interface (COBOL, PL1))

Compress/decompress entire files in user-defined applications. Supports the FLAM4 command string syntax. For more information see FLM4BOOK or FLCL FLAM Command.

Parameters

  [in,out] | flamid | POINTER Pointer to the workarea; parameter unused for backward compatibility, simply pass NULL
  [out] | rtc | INTEGER Pointer to a signed long that will contain the condition code of the command after it returns
  [in] | param | STRING FLAM4 parameter string (see FLM5BOOK)
  [in] | paramLen | INTEGER The length of parameter string of NULL if the parameter sting zero-terminatied.

## ◆ flamupc()

long flamupc | ( | const char * | param | ) |

Runs the old FLAM command line (C like interface)

Compress/decompress entire files in user-defined applications. Supports the FLAM4 command string syntax. For more information see FLM4BOOK or FLCL FLAM Command.

Parameters

  [in] | param | STRING A null-terminated string containing the FLAM4 command string to be used.

Returns
  [out] signed INTEGER Condition code of the FLAM4 command